<?xml version="1.0" encoding="utf-8"?>
<!--定义一个可搜索的配置文件-->
<searchable
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:label="@string/search_label"  <!--搜索栏的标签-->
    android:hint="@string/search_hint"  <!--搜索栏的提示信息-->
    android:searchMode="queryRewriteFromText"  <!--搜索模式-->

    android:searchSuggestAuthority="notes"  <!--提供搜索建议的内容提供者的Authority-->
    android:searchSuggestIntentAction="android.intent.action.VIEW"  <!--点击搜索建议时所执行的操作-->
    android:searchSettingsDescription="@string/search_setting_description"  <!--在系统设置中显示的搜索描述-->
    android:includeInGlobalSearch="true" />  <!--是否包含在全局搜索中-->
